Subject: RE:Earth Touch

From: "Paul A.Cherry" <[email-masked]>
Date: 29 Aug 1995 14:08:54 GMT

I have recently posted a toll free number for Earth Touch, a supplier 
of herbs and other natural health products as well as literature on 
these subjects.  When I tried to contact them I found that there is 
a problem at MCI that has caused an interuption of the 800 service to 
Earth Touch.  Earth Touch was not able to tell me when the number would 
be working again but I have their regular Phone number which I would 
like to share.  The number is: (816)229-2600.  I am very sorry that 
I gave out imformation that was not current I hope that all who might 
have tried to contact them will try again.  Thanks

Paul Cherry